Subject: [alpine-devel] testing/skroll: new aport

From: Willy Goiffon <[email-masked]>
Date: Tue, 28 Oct 2014 11:11:05 +0100

Hi !

I created a port for "skroll", a tool I wrote. It takes input in stdin and
scroll it to stdout.

Please find the patch for the APKBUILD as an attachement.

Cheers.

-- 
Willy
>From 51bd3d20fd52ff578afe312b169adabf44e9508a Mon Sep 17 00:00:00 2001
From: z3bra <[email-masked]>
Date: Tue, 28 Oct 2014 10:37:47 +0100
Subject: [PATCH] testing/skroll: new aport

---
 testing/skroll/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/skroll/APKBUILD

diff --git a/testing/skroll/APKBUILD b/testing/skroll/APKBUILD
new file mode 100644
index 0000000..7244392
--- /dev/null
+++ b/testing/skroll/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: z3bra <willy at mailoo dot org>
+# Maintainer:  z3bra <willy at mailoo dot org>
+pkgname=skroll
+pkgver=0.4
+pkgrel=0
+pkgdesc="scroll text to stdout"
+url="http://git.z3bra.org/cgit.cgi/skroll/"
+arch="all"
+license="wtfpl"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://git.z3bra.org/cgit.cgi/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
+
+_builddir=$srcdir/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bd5e78abb228ca976fdd1673171033cc  skroll-0.4.tar.bz2"
+sha256sums="45d7ab6bd078adc0a4230f05f406e0db47cc0789e3f9c8434488ea28b1ca4c64  skroll-0.4.tar.bz2"
+sha512sums="ba9caeee802645743fda27d8992df49610887d9157d6cf953648dd34b4786a3be04f58857f78ed018dbef0730fbabf738ccc330038b9dc9561d2860bfc65fabe  skroll-0.4.tar.bz2"
-- 
2.0.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 29 Oct 2014 11:13:01 +0100

On Tue, 28 Oct 2014 11:11:05 +0100

> Please find the patch for the APKBUILD as an attachement.

applied. Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---